Subject: Re: firewall going bezerk.
From: "Harald Houppermans" <[email-masked]>
To: <[email-masked]>
Date: Sun, 29 Jun 2003 05:09:49 +0200

----- Original Message -----
From: "Igor Pechtchanski" <[email-masked]>
To: "Harald Houppermans" <[email-masked]>
Cc: <[email-masked]>
Sent: Sunday, June 29, 2003 4:52 AM
Subject: Re: firewall going bezerk.

> On Sun, 29 Jun 2003, Harald Houppermans wrote:
>
> > Yo,
> >
> > Cygwin is constantly performing DNS lookup's
> >
> > My zone alarm firewall is going nuts.
> >
> > I think cygwin even turned my firewall off... the true vector engine.
> >
> > Anyway I decided to turn the firewall off completely...
> >
> > Cygwin is not the only app going nuts with dns... also windows xp is
going
> > nuts with DNS.
> >
> > I think it is because the way cygwin and windows works... like a quake
> > game... everythin goes via network code...
> >
> > So cygwin is like a server giving service or something... windows xp is
also
> > like a server ? funny.
> >
> > But I don't think it s funny... I hate it... I want my internet
connection
> > to only access the net when it is really needed.
> >
> > I rather have windows xp and cygwin not be like a server etc... and just
use
> > dll's and other forms of inter process communication etc...
> >
> > Those are my wishes :P :D
> >
> > :)
>
> It's hard to say for sure, but my guess is that it's Cygwin's gethostname
> function which calls winsock's implementation of same.  The winsock
> gethostname implementation will apparently access DNS for the name of the
> current machine - go figure.  FYI, gethostname is called at least when you
> log in, to set the prompt and all...

I think that is the case.

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/